__author__ = 'RemiZOffAlex'
__email__ = 'remizoffalex@mail.ru'

from flask import render_template

from .. import app, lib


@app.route('/', defaults = {'path': ''})
@app.route('/<path:path>')
def index(path):
    pagedata = {}
    pagedata['title'] = app.config['TITLE']
    if lib.get_user():
        pagedata['info'] = 'Закрытый раздел'
        body = render_template('private/skeleton.html', pagedata=pagedata)
    else:
        pagedata['info'] = 'Открытый раздел'
        body = render_template('public/skeleton.html', pagedata=pagedata)
    return body
